*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
html {
    scroll-behavior: auto;
}

html,
body {
    overflow-x: hidden;
}
/* Site Setting */

/* Custom Fonts */

@font-face {
    font-family: heading-font;
    src: url(assets/fonts/Marcellus-Regular.ttf);
}
@font-face {
    font-family: text-font;
    src: url(assets/fonts/manrope-light.otf);
}

:root {
 --background: oklch(12% .005 60);
  /* Colors */
  --heading-color: #fbedd1;
  --sub-heading-color: #e3ad4b;
  --text-color: #a89d8a;

  /* Typography */
  --font-primary: "heading-font", sans-serif;
  --font-secondary: "text-font", serif;

  --heading: 60px;
  --sec-heading: 48px;
  --sub-heading: 12px;
  --text: 18px;
    --menu: 14px;
  --second-heading: 20px;

  /* Container */
  --container-width: 1200px;
  --container-padding: 96px 24px;

  /* Transition */
  --transition: all 0.3s ease;
}

body{
     background: var(--background);
}

.btn{
    padding: 8px 16px;
    border: 1px solid #e3ad4b;
    border-radius: 3.40282e38px;
    gap:8px;
    display: inline-flex;
        text-decoration: none;
    font-family: var(--font-secondary);
    font-size: var(--menu);
    line-height: 1.42857;
    align-items: center;
    transition: var(--transition);
}
.btn img,.btn svg{
    width: 16px;
    height: 16px;
}

/* Site css */



.container{
    max-width: var(--container-width);
    margin: auto;
    padding: var(--container-padding);
}



header{
    border: 1px solid #28201780;
    background-color: #070506;
    backdrop-filter: blur(12px);
}
.header.scrolled {
    background-color: #070504b3;
    backdrop-filter: blur(24px);
    -webkit-backdrop-filter: blur(24px);
    border-bottom: 1px solid rgba(227, 173, 75, 0.15);
}
.header .navbar{
    display:flex;
    justify-content: space-between;
}

.header .navbar ul{
    display: flex;
    gap: 32px;
align-items: center;
}
.header .navbar ul li{
    list-style: none;
}
.header .navbar ul li a,.nav-links li,.nav-links{
    color: var(--text-color);
    text-decoration: none;
    font-family: var(--font-secondary);
    font-size: var(--menu);
    line-height: 1.42857;
}
.header .nav-links li a:hover{
    color:#fbedd1;
}
.header .logo img{
    max-height: 56px;
    width: auto;
}
.header .nav-buttons{
    display: flex;
    align-items: center;
}
.header .container{
    padding-block: 20px;
}

.whatsapp-btn{
    color:#e3ad4b;
}
.whatsapp-btn:hover{
    background-color: #e3ad4b;
    color: #070506;
}
.whatsapp-btn:hover svg path{
    stroke: #070506;
}
.call-btn{
    border-color: #282017;
    color: #070506;
    background-color: #e3ad4b;
}
.nav-buttons{
    display:flex;
    gap:8px;
}
.call-btn:hover{
    opacity: 0.9;
}

.hero {
    min-height: 100vh;
    display: flex;
    align-items: center;
    overflow: hidden;
    position: relative;
    background:
        radial-gradient(circle at 75% 50%,
            rgba(215, 161, 61, 0.18) 0%,
            rgba(215, 161, 61, 0.08) 25%,
            transparent 60%),
        #050201;
}

.hero .container {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 80px;
    align-items: center;
}

.subtitle {
    color: var(--sub-heading-color);
    font-family: var(--font-secondary);
    font-size: 12px;
    letter-spacing: 3.6px;
    display: inline-block;
    margin-bottom: 24px;
    text-transform: uppercase;
}

.hero-content h1 {
    font-size: var(--heading);
    font-family: var(--font-primary);
    line-height: 1.05;
    font-weight: 700;
    color: var(--heading-color);
    margin-bottom: 24px;
}

.hero-content h1 em {
    color: #e3ad4b;
    font-style: italic;
    font-weight: 600;
}

.hero-content p {
    max-width: 448px;
    color: var(--text-color);
    font-size: var(--text);
    line-height: 1.625;
    margin-bottom: 32px;
    font-family: var(--font-secondary);
}

.hero-buttons {
    display: flex;
    gap: 16px;
    flex-wrap: wrap;
}

.hero-buttons .btn {
    padding: 14px 28px;
    border-radius: 999px;
    text-decoration: none;
    font-size: 16px;
    transition: 0.3s ease;
}

.btn-primary {
   border-color: #282017;
    color: #070506;
    background-color: #e3ad4b;
}

.btn-primary:hover {
    opacity: 0.9;
}

.btn-outline {
    border: 1px solid #e3ad4b;
 color:#e3ad4b;
}
.btn-outline:hover{
     background-color: #e3ad4b;
    color: #070506;
}

.btn-outline:hover svg path{
    stroke: #070506;
}

.hero-image {
    position: relative;
    display: flex;
    justify-content: center;
}
.hero-image img{
    transition: var(--transition);
}
.hero-image img:hover{
    transform: scale(1.05);
}

.glow {
    position: absolute;
    width: 120%;
    height: 120%;
    background: rgba(215, 161, 61, 0.22);
    filter: blur(80px);
    border-radius: 50%;
    z-index: 1;
}

.hero-image img {
    position: relative;
    z-index: 2;
    width: 100%;
    max-width: 560px;
    height: 460px;
    object-fit: cover;
    border-radius: 24px;
    box-shadow:
        0 0 80px rgba(215, 161, 61, 0.2);
}
.header{
     position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 1000;

    backdrop-filter: blur(12px);
    -webkit-backdrop-filter: blur(12px);

    transition: all 0.4s ease;
    will-change: transform, background-color;
}


.services {
    background: #000;
}
.section-header {
    text-align: center;
    max-width: 486px;
    margin: 0 auto 70px;
}

.section-header .subtitle {
    color: #E3AD4B;
    font-size: 12px;
    letter-spacing: 4px;
    text-transform: uppercase;
    margin-bottom: 0px;
}

.section-header h2 {
    margin-top: 15px;
    font-size: var(--sec-heading);
    color: var(--heading-color);
    line-height: 1;
    font-weight: 600;
    font-family: var(--font-primary);
}

.section-header p {
    margin-top: 20px;
    color:var(--text-color);
    line-height: 1.625;
    font-family: var(--font-secondary);

}

/* .services-grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 28px;
} */
 .services-grid {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 28px;
}

.service-card {
    width: calc((100% - 56px) / 3);
}

.service-card {
    background: #0A0706;
    border: 1px solid rgba(227,173,75,.12);
    border-radius: 20px;
    overflow: hidden;
    transition: .4s ease;
}

.service-card:hover {
    transform: translateY(-8px);
    border-color: rgba(227,173,75,.35);
    box-shadow: 0 20px 60px -20px #e3ad4b4d;
}

.service-image {
    height: 195px;
    overflow: hidden;
}

.service-image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: .6s ease;
}

.service-card:hover img {
    transform: scale(1.08);
}

.service-content {
    padding: 25px;
}

.service-content h3 {
    color: var(--heading-color);
    font-family: var(--font-primary);
    font-size: var(--second-heading);
    margin-bottom: 12px;
    line-height: 1.4;
}

.service-content p {
    color: var(--text-color);
    line-height: 1.625;
    font-family: var(--font-secondary);
    font-size: var(--menu);
    margin-bottom: 16px;
}

.service-btn {
    display: inline-flex;
    align-items: center;
    gap: 10px;

    padding: 8px 16px;
    border-radius: 50px;
color: var(--sub-heading-color);
    border: 1px solid #E3AD4B;
   line-height: 1.625;
    font-family: var(--font-secondary);
    font-size: var(--menu);
    text-decoration: none;

    transition: .3s ease;
}
.service-btn svg{
    width: 16px;
    height: 16px;
}
.service-btn:hover {
    background: #E3AD4B;
    color: #000;
}
.our-story-sec{
    background-color: #14110e66;
}
.our-story-sec .container{
    max-width:896px;
    text-align: center;
    margin: auto;
}
.our-story-sec .subtitle{
    margin-bottom: 0px;
}
.our-story-sec h2{
    margin-top: 15px;
    font-size: var(--sec-heading);
    color: var(--heading-color);
    line-height: 1;
    font-weight: 600;
    font-family: var(--font-primary);
}
.our-story-sec p{
    margin-top: 20px;
    color: var(--text-color);
    line-height: 1.625;
    font-family: var(--font-secondary);
    margin-bottom: 32px;
}
.counter-main {
    max-width: 700px;
    margin: 0 auto;

    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 40px;

    text-align: center;
}

.counter-item h3 {
    font-size: 36px;
    font-weight: 600;
    line-height: 1.1;
    color: #E3AD4B;
    margin-bottom: 0px;
    font-family: var(--font-primary);
}

.counter-item p {
    font-size: var(--menu);
    color: var(--text-color);
    font-family: var(--font-secondary);
    line-height: 1.42857;
    margin-bottom: 0px;
    margin-top: 8px;
}


.get-in-touch-sec .container{
    max-width:896px;
    text-align: center;
    margin: auto;
}
.get-in-touch-sec .subtitle{
    margin-bottom: 0px;
}
.get-in-touch-sec h2{
    margin-top: 15px;
    font-size: var(--sec-heading);
    color: var(--heading-color);
    line-height: 1;
    font-weight: 600;
    font-family: var(--font-primary);
}
.get-in-touch-sec p{
    margin-top: 20px;
    color: var(--text-color);
    line-height: 1.625;
    font-family: var(--font-secondary);
    margin-bottom: 32px;
}
.get-in-touch-btn {
    justify-content: center;
    gap: 16px;
}
.get-in-touch-btn a{
    padding: 14px 28px;
}


.contact-info {
    max-width: 672px;
    margin: 42px auto 0px auto;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 18px;
}

.info-box {
    display: flex;
    align-items: center;
    gap: 16px;
    padding: 16px;
    background: #100c0d;
    border: 1px solid rgba(255, 177, 55, 0.15);
    border-radius: 12px;
 color: #fbedd1;
    line-height: 1.625;
    font-family: var(--font-secondary);
    font-weight: 500;
    transition: all 0.3s ease;
    font-size: 14px !important;
}

.info-box:hover {
    border-color: rgba(255, 177, 55, 0.35);
    transform: translateY(-2px);
}

.icon {
    display: flex;
    align-items: center;
    justify-content: center;
    color: #d6a13d;
    flex-shrink: 0;
}

.icon svg {
    width: 20px;
    height: 20px;
    stroke: currentColor;
}

.footer {
    border-top: 1px solid rgba(255, 177, 55, 0.08);
    padding: 32px 24px;
    text-align: center;
}

.footer p {
    margin: 0;
     color: #a89d8a;
    line-height: 1.4;
    font-size: 14px;
    font-family: var(--font-secondary);
}

@media (max-width: 768px) {
    .contact-info {
        grid-template-columns: 1fr;
    }

    .info-box {
        padding: 18px 20px;
        font-size: 16px;
    }
}
@media (max-width: 768px) {
    .counter-main {
        gap: 20px;
    }

    .counter-item h3 {
        font-size: 2.5rem;
    }

    .counter-item p {
        font-size: 0.9rem;
    }
}



@media (max-width: 1025px) {
    .services-grid {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
    }
    .service-card{
        width: auto!important;
    }
}


@media (min-width:768px) and (max-width:1024px){
    .hero .container{
        flex-direction: column;
        display: flex;
        gap: 56px;
    }
    .nav-links{
        display: none !important;
    }
    .hero .container{
        padding-top: 150px !important;
                width: 100%;
align-items: flex-start;
    }
    .hero-image,.hero-image img{
        max-width: 100% !important;
        height: auto!important;
    }
}
@media (max-width: 767px) {
    .container{
        padding-block: 60px;
    }
    .services-grid {
        grid-template-columns: 1fr;
    }
.service-card{
        width: auto!important;
    }
    .section-header h2 {
        font-size: 42px;
    }

    .nav-links{
        display: none!important;
    }
    text{
        display: none;
    }
    .header .container {
        padding-block: 12px !important;
    }
    .header .logo img {
    max-height: 48px;
    width: auto;
}
.hero .container{
    display: flex;
    flex-direction: column;
    padding-top: 124px;
    gap: 48px;
}
h1{
    font-size: 48px!important;
}
h2{
    font-size: 36px !important;
    line-height: 1.2 !important;
}
.counter-main{
    flex-wrap: wrap;
    justify-content: center;
    display: flex;
}
}